Package Details: catalyst-total 15.9-25

Git Clone URL: https://aur.archlinux.org/catalyst-total.git (read-only)
Package Base: catalyst-total
Description: AMD/ATI Catalyst drivers for linux. catalyst-dkms + catalyst-utils + lib32-catalyst-utils + experimental powerXpress suppport. Radeons HD 2 3 4 xxx ARE NOT SUPPORTED
Upstream URL: https://www.amd.com
Licenses: custom
Conflicts: catalyst, catalyst-daemon, catalyst-dkms, catalyst-generator, catalyst-hook, catalyst-utils, libegl, libgl, libgles, libglvnd, mesa-libgl, mesa-libgl-git, opencl-amd
Provides: catalyst=15.9, catalyst-hook=15.9, catalyst-libgl=15.9, catalyst-utils=15.9, dri, libatical=15.9, libegl, libgl, libgles, libtxc_dxtn, mesa-libgl, mesa-libgl-git, opencl-catalyst=15.9, opencl-driver
Submitter: None
Maintainer: Vi0L0
Last Packager: Vi0L0
Votes: 130
Popularity: 0.000020
First Submitted: 2009-11-11 05:59
Last Updated: 2018-04-29 16:39

Dependencies (23)

Required by (799)

Sources (36)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

oljik commented on 2015-11-23 12:14

guinux, isn't that problem of nomodeset with Intel integrated graphics?

rrodriguez1975 commented on 2015-10-16 18:21

Hi, Vi0L0,
I need some help... I have installed catalyst-total in my arch system and now I cannot boot into X. I checked lightdm and now openbox but X does not start. I access directly to virtual terminal tty1.

Once logged in If I launch startx I get some message errors:

[ 895.299] (EE) Backtrace:
[ 895.299] (EE) 0: /usr/bin/Xorg.bin (xorg_backtrace+0x56) [0x594566]
[ 895.299] (EE) 1: /usr/bin/Xorg.bin (0x400000+0x1986b9) [0x5986b9]
[ 895.299] (EE) 2: /usr/lib/libc.so.6 (0x7f6323f67000+0x33680) [0x7f6323f9a680]
[ 895.299] (EE) 3: /usr/lib/libatiuki.so.1 (0x7f631f45e000+0xb39d) [0x7f631f46939d]
[ 895.299] (EE) 4: /usr/lib/libatiuki.so.1 (ukiPcsLoadToKernel+0x67) [0x7f631f4690a7]
[ 895.299] (EE) 5: /usr/lib/libatiuki.so.1 (0x7f631f45e000+0xa31c) [0x7f631f46831c]
[ 895.299] (EE) 6: /usr/lib/libatiuki.so.1 (0x7f631f45e000+0x9278) [0x7f631f467278]
[ 895.299] (EE) 7: /usr/lib/libatiuki.so.1 (ukiOpen+0x5d) [0x7f631f46371d]
[ 895.299] (EE) 8: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs116_atiddxPxEarlyCheck+0x51) [0x7f631fda75c1]
[ 895.299] (EE) 9: /usr/lib/xorg/modules/drivers/fglrx_drv.so (xdl_xs116_atiddxProbe+0xd7f) [0x7f631fd867bf]
[ 895.299] (EE) 10: /usr/lib/xorg/modules/drivers/fglrx_drv.so (atiddxProbe+0xd) [0x7f631fb6e30d]
[ 895.299] (EE) 11: /usr/bin/Xorg.bin (xf86BusConfig+0x46) [0x46c256]
[ 895.300] (EE) 12: /usr/bin/Xorg.bin (InitOutput+0x988) [0x47a668]
[ 895.300] (EE) 13: /usr/bin/Xorg.bin (0x400000+0x3baca) [0x43baca]
[ 895.300] (EE) 14: /usr/lib/libc.so.6 (__libc_start_main+0xf0) [0x7f6323f87610]
[ 895.300] (EE) 15: /usr/bin/Xorg.bin (_start+0x29) [0x4260f9]
[ 895.300] (EE)
[ 895.300] (EE) Segmentation fault at address 0x8
[ 895.300] (EE)
[ 895.300] (EE) Caught signal 11 (Segmentation fault). Server aborting
[ 895.300] (EE)
[ 895.300] (EE)
[ 895.300] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 895.300] (EE)

and final:

xinit : giving up
xinit : unable to connect to X server. Connection refused.
xinit : server error

I am using arch kernel 4.1.10-2-lts and xorg-server 1.16.4-1

I have put a thread here: https://bbs.archlinux.org/viewtopic.php?id=203887

There I explain more in depth. Could you have a look to see if these issues are related to catalyst?

Vi0L0 commented on 2015-10-07 20:15

Are you sure that you are booting from linux-lts and not from linux?

guinux commented on 2015-10-07 20:11

Hello! I have linux-lts installed in my Dell 5547 ([AMD/ATI] Topaz XT [Radeon R7 M260/M265]) and the package compiles well, but the system hangs on boot. I have added "nomodeset", run the "aticonfig --initial", etc. Is anyone having this kind of problems? Can anybody help me?

brycec commented on 2015-10-05 00:25

@pauloschilling There is nothing Gnome- or LightDM-specific about this. Among the many configurations and machines I've used this with was a system with no login manager, just boot to console and run startx with awesome when I needed X.
The Xserver version is a limitation from the Catalyst drivers themselves.

pauloschilling commented on 2015-10-04 23:40

@Vi0L0 do you know if this package works with any display manager other than LightDM on gnome 3.16 + xserver 1.17?

I'm using LightDM since it's the one recommended in the Wiki. I had to switch from GDM a few months ago to make it work, tried to go back this weekend but didn't succeed.

Oh, and thank you for your work, really appreciate it! :)

ybnrmalatall commented on 2015-10-04 07:28

I just noticed this. Meow. Thanks @Vi0L0. May I lick your fingers? (ಥ⌣ಥ)

transmutated commented on 2015-10-01 00:10

@Vi0L0,thanks for the update. It's nice to finally update my machine:) Thanks for your hardwork keeping this package up to date on Arch over the years. AMD should be kissing your feet;)

Vi0L0 commented on 2015-09-29 19:22

be aware that I removed linux from dependency array and so it will let linux to update (while it's not supported tongue), if you will not configure bootloader to use kernel older than 4.2, like linux-lts, it will probably boot linux and you will probably gonna see a freeze or blank screen. System should work though, you can ssh to it and config bootloader from here, or use single mode if you can't ssh, or well there's possibility that linux-lts was added before, boot it and config as default kernel to boot.

Vi0L0 commented on 2015-09-29 09:40

soon I will update, just wanted to look at kernel 4.2 closer, because we still have problems with it.
For now please switch to catalyst-test@AUR or repos which brings newest catalyst release, also use linux-lts